# $Id: Makefile.PL,v 1.2 2004/04/01 19:32:57 dan Exp $
# -*- perl -*-

use ExtUtils::MakeMaker;

WriteMakefile(
	      NAME => "Test::MemMonitor",
	      VERSION_FROM => 'lib/Test/MemMonitor.pm',
	      AUTHOR => "Daniel P. Berrange (berrange[at]redhat[dot]com)",
	      dist =>
	      {
	       COMPRESS => 'gzip --force --best',
	      },

	      clean =>
	      {
	       FILES => '*.bak *~',
	      },
	      EXE_FILES => [
                "bin/mem-monitor", "bin/mem-monitor-plotter"
              ],
	      depend => {
	        Makefile => '$(VERSION_FROM)',
		dist => 'perl-Test-MemMonitor.spec',
	      },
	      
	      realclean => {
	       FILES => 'Test-MemMonitor-*.tar.gz perl-Test-MemMonitor.spec',
	      }
	     );

package MY;

sub libscan
  {
    my ($self, $path) = @_;
    ($path =~ /\~$/) ? undef : $path;
  }
sub test {
    my $self = shift;
    my $mm_test = $self->SUPER::test(@_);
    
    return '
TO_TEST_PM = $(TO_INST_PM:lib/%.pm=blib/test/%.pm)

test :: test-syntax

test-syntax: pure_all $(TO_TEST_PM)

blib/test/%.pm: lib/%.pm
	@echo -n "Checking $<: "
	@perl -I blib/lib -c $<
	@mkdir -p `dirname $@`
	@touch $@

' . $mm_test;
  }

__END__
