# -*- perl -*-
#
# Test::MemMonitor by Daniel Berrange <berrange@redhat.com>
#
# Copyright (C) 2006 Red Hat <http://redhat.com/>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

=pod

=head1 NAME

Test::MemMonitor - monitor process memory usage

=head1 SYNOPSIS

  use Test::MemMonitor;

  my $state = Test::MemMonitor->snapshot($pid);

=head1 DESCRIPTION

This module provides an API to monitor process memory usage and
generate 'interesting' metrics about a process's behaviour over
time.

=head1 METHODS

=over 4

=cut

package Test::MemMonitor;

use Test::MemMonitor::Backends::Linux;

our $VERSION = "0.0.2";

sub snapshot {
    my $pid = shift;
    return Test::MemMonitor::Backends::Linux::snapshot($pid);
}

1;

=pod

=back

=head1 AUTHORS

Daniel P. Berrange <berrange@redhat.com>

=head1 LICENSE / COPYRIGHT

Copyright (C) 2006 Red Hat

This software can be distributed under the terms of the GPL v2 or later

=head1 SEE ALSO

=cut

