# -*- perl -*-
#
# Test::MemMonitor::Grouping by Daniel Berrange <berrange@redhat.com>
#
# Copyright (C) 2006 Red Hat <http://redhat.com/>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

=pod

=head1 NAME

Test::MemMonitor::Grouping - XYZ

=head1 SYNOPSIS

  use Test::MemMonitor:Grouping;



=head1 DESCRIPTION

This module provides....

=head1 METHODS

=over 4

=cut

package Test::MemMonitor::Grouping;

use strict;
use warnings;

use Class::MethodMaker [
			new => [ qw/ new / ],
			scalar => [ qw/ size name / ],
			array => [ qw/ mappings / ],
			];

sub add_mapping {
    my $self = shift;
    my $mapping = shift;
    
    $self->mappings_push($mapping);
    
    $self->size($self->size + $mapping->size);
}

1;

=pod

=back

=head1 AUTHORS

Daniel P. Berrange <berrange@redhat.com>

=head1 LICENSE / COPYRIGHT

Copyright (C) 2006 Red Hat

This software can be distributed under the terms of the GPL v2 or later

=head1 SEE ALSO

=cut

