# -*- perl -*-
#
# Test::MemMonitor::Plotter by Daniel Berrange <berrange@redhat.com>
#
# Copyright (C) 2006 Red Hat <http://redhat.com/>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

=pod

=head1 NAME

Test::MemMonitor::Plotter - XYZ

=head1 SYNOPSIS

  use Test::MemMonitor:Plotter;



=head1 DESCRIPTION

This module provides....

=head1 METHODS

=over 4

=cut

package Test::MemMonitor::Plotter;

use strict;
use warnings;

require Exporter;

our @ISA = qw(Exporter);

our %EXPORT_TAGS = (all => [qw /plot_summary plot_groupings plot_mappings/]);
Exporter::export_ok_tags('all');

sub plot_summary {
    my $snapshot = shift;
    my $fh = shift;
    
    print $fh join("\t", map { $_ / 1024 / 1024 } ($snapshot->total_size, $snapshot->virtual_size, $snapshot->resident_size, $snapshot->shared_size, $snapshot->unmapped_size)), "\n";
    $fh->flush;
}

sub plot_groupings {
    my $snapshot = shift;
    my $fh = shift;
    
    print $fh join("\t", map { $_->size /1024/1024} sort { $a->name cmp $b->name } grep { $_->name ne "[free]" } $snapshot->groupings), "\n";
    $fh->flush;
}

sub plot_mappings {
    my $snapshot = shift;
    my %options = @_;
}

1;

=pod

=back

=head1 AUTHORS

Daniel P. Berrange <berrange@redhat.com>

=head1 LICENSE / COPYRIGHT

Copyright (C) 2006 Red Hat

This software can be distributed under the terms of the GPL v2 or later

=head1 SEE ALSO

=cut

