# -*- rpm-spec -*-
# Copyright (C) 2001-2004 Daniel Berrange <dan@berrange.com>
#
# $Id: Config-Record.spec.PL,v 1.7 2005/09/08 18:15:57 dan Exp $

use strict;

die unless (scalar @ARGV == 1);

unless (do 'lib/Test/MemMonitor.pm')
  {
    if ($@) { die $@ };
    die "lib/Test/MemMonitor.pm: $!";
  }
		
local $/ = undef;
$_ = <DATA>;
s/\@VERSION\@/$Test::MemMonitor::VERSION/g;

open SPEC, ">$ARGV[0]" or die "$!";
print SPEC $_;
close SPEC;
__DATA__
# Automatically generated by Config-Record.spec.PL

%define perlvendorarch %(perl -e 'use Config; print $Config{installvendorarch}')
%define perlvendorlib %(perl -e 'use Config; print $Config{installvendorlib}')
%define perlvendorprefix %(perl -e 'use Config; print $Config{vendorprefix}')
%define perlvendorman1 %{perlvendorprefix}/share/man/man1
%define perlvendorman3 %{perlvendorprefix}/share/man/man3
%define perlversion %(perl -e 'use Config; print $Config{version}')

%define appname Test-MemMonitor

Summary: Test::MemMonitor - identify semantically interesting file differences
Name: perl-%{appname}
Version: @VERSION@
Release: 1
License: GPL
Group: Development/Tools
Source: %{appname}-%{version}.tar.gz
BuildRoot: /var/tmp/%{appname}-%{version}-root
BuildArchitectures: noarch
Requires: perl >= %{perlversion}

%description
Test::MemMonitor provides a module for comparing files, identifying 
semantically interesting differences, such as changed ELF exports,
differing file permissions, change library linkage.
 
%prep
%setup -q -n %{appname}-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor PREFIX=$RPM_BUILD_ROOT/usr
make


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALLVENDORMAN3DIR=$RPM_BUILD_ROOT%{perlvendorman3} INSTALLVENDORMAN1DIR=$RPM_BUILD_ROOT%{perlvendorman1}
find $RPM_BUILD_ROOT -name perllocal.pod -exec rm -f {} \;
find $RPM_BUILD_ROOT -name .packlist -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS
%doc LICENSE
%doc README
%{perlvendorprefix}/bin/mem-monitor
%{perlvendorprefix}/bin/mem-monitor-plotter
%{perlvendorman1}/*
%{perlvendorman3}/*
%{perlvendorlib}/Test/MemMonitor.pm
%{perlvendorlib}/Test/MemMonitor/

%changelog
* Tue Mar 14 2006  <berrange@redhat.com> - 0.0.2-1
- Updated for new release

* Thu Mar  9 2006  <berrange@redhat.com> - 0.0.1-1
- Initial build
